---
updatedAt: 2026-11-10T17:49:36.000Z
agentTools:
  projectIndex: https://developers.activecampaign.com/llms.txt
---

# Create a deal note

Create a new note for a deal

To create a deal note, following permissions are required.

* Deal permission: the user should have a permission to manage deals.
* Pipeline-specific permission: the user should have a permission to manage the pipeline the deal belongs to.

```text POST /deals/:id/notes (Example REQUEST)
{
  "note": {
    "note": "Note for the deal"
  }
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v3",
    "version": "3"
  },
  "servers": [
    {
      "url": "https://{youraccountname}.api-us1.com/api/3",
      "variables": {
        "youraccountname": {
          "default": "youraccountname"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Api-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/deals/{id}/notes": {
      "post": {
        "summary": "Create a deal note",
        "description": "Create a new note for a deal",
        "operationId": "create-a-deal-note",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The Deal's id to assign new note to",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "note": {
                    "properties": {
                      "note": {
                        "type": "string",
                        "description": "The Deal note's content"
                      },
                      "is_draft": {
                        "type": "integer",
                        "description": "0 or 1. 1 marks the note as a draft, 0 as fully created."
                      }
                    },
                    "required": [
                      "note"
                    ],
                    "type": "object",
                    "additionalProperties": false
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "note": {
                      "note": "Note for the deal"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"deals\": [\n    {\n      \"activitycount\": \"2\",\n      \"cdate\": \"2017-05-25T12:01:01-05:00\",\n      \"contact\": \"1\",\n      \"currency\": \"usd\",\n      \"edate\": null,\n      \"group\": \"1\",\n      \"hash\": \"e42436fc\",\n      \"id\": \"1\",\n      \"links\": {\n        \"dealActivities\": \"https://:account.api-us1.com/api/3/deals/1/dealActivities\",\n        \"contact\": \"https://:account.api-us1.com/api/3/deals/1/contact\",\n        \"contactDeals\": \"https://:account.api-us1.com/api/3/deals/1/contactDeals\",\n        \"group\": \"https://:account.api-us1.com/api/3/deals/1/group\",\n        \"nextTask\": \"https://:account.api-us1.com/api/3/deals/1/nextTask\",\n        \"notes\": \"https://:account.api-us1.com/api/3/deals/1/notes\",\n        \"organization\": \"https://:account.api-us1.com/api/3/deals/1/organization\",\n        \"owner\": \"https://:account.api-us1.com/api/3/deals/1/owner\",\n        \"scoreValues\": \"https://:account.api-us1.com/api/3/deals/1/scoreValues\",\n        \"stage\": \"https://:account.api-us1.com/api/3/deals/1/stage\",\n        \"tasks\": \"https://:account.api-us1.com/api/3/deals/1/tasks\"\n      },\n      \"mdate\": \"2017-05-25T12:17:23-05:00\",\n      \"nextdate\": null,\n      \"nextdealid\": \"1\",\n      \"nexttaskid\": null,\n      \"organization\": null,\n      \"owner\": \"1\",\n      \"percent\": \"0\",\n      \"stage\": \"1\",\n      \"status\": \"0\",\n      \"title\": \"New Deal\",\n      \"value\": \"10000\"\n    }\n  ],\n  \"note\": {\n    \"cdate\": \"2017-05-31T09:54:30-05:00\",\n    \"id\": \"2\",\n    \"links\": {\n      \"activities\": \"https://:account.api-us1.com/api/3/notes/2/activities\",\n      \"mentions\": \"https://:account.api-us1.com/api/3/notes/2/mentions\",\n      \"notes\": \"https://:account.api-us1.com/api/3/notes/2/notes\",\n      \"owner\": \"https://:account.api-us1.com/api/3/notes/2/owner\",\n      \"user\": \"https://:account.api-us1.com/api/3/notes/2/user\"\n    },\n    \"mdate\": \"2017-05-31T09:54:30-05:00\",\n    \"note\": \"Note for the deal\",\n    \"owner\": {\n      \"id\": \"1\",\n      \"type\": \"deal\"\n    },\n    \"relid\": \"1\",\n    \"reltype\": \"Deal\",\n    \"user\": \"1\",\n    \"userid\": \"1\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "deals": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "activitycount": {
                            "type": "string",
                            "example": "2"
                          },
                          "cdate": {
                            "type": "string",
                            "example": "2017-05-25T12:01:01-05:00"
                          },
                          "contact": {
                            "type": "string",
                            "example": "1"
                          },
                          "currency": {
                            "type": "string",
                            "example": "usd"
                          },
                          "edate": {},
                          "group": {
                            "type": "string",
                            "example": "1"
                          },
                          "hash": {
                            "type": "string",
                            "example": "e42436fc"
                          },
                          "id": {
                            "type": "string",
                            "example": "1"
                          },
                          "links": {
                            "type": "object",
                            "properties": {
                              "dealActivities": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/dealActivities"
                              },
                              "contact": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/contact"
                              },
                              "contactDeals": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/contactDeals"
                              },
                              "group": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/group"
                              },
                              "nextTask": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/nextTask"
                              },
                              "notes": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/notes"
                              },
                              "organization": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/organization"
                              },
                              "owner": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/owner"
                              },
                              "scoreValues": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/scoreValues"
                              },
                              "stage": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/stage"
                              },
                              "tasks": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/deals/1/tasks"
                              }
                            }
                          },
                          "mdate": {
                            "type": "string",
                            "example": "2017-05-25T12:17:23-05:00"
                          },
                          "nextdate": {},
                          "nextdealid": {
                            "type": "string",
                            "example": "1"
                          },
                          "nexttaskid": {},
                          "organization": {},
                          "owner": {
                            "type": "string",
                            "example": "1"
                          },
                          "percent": {
                            "type": "string",
                            "example": "0"
                          },
                          "stage": {
                            "type": "string",
                            "example": "1"
                          },
                          "status": {
                            "type": "string",
                            "example": "0"
                          },
                          "title": {
                            "type": "string",
                            "example": "New Deal"
                          },
                          "value": {
                            "type": "string",
                            "example": "10000"
                          }
                        }
                      }
                    },
                    "note": {
                      "type": "object",
                      "properties": {
                        "cdate": {
                          "type": "string",
                          "example": "2017-05-31T09:54:30-05:00"
                        },
                        "id": {
                          "type": "string",
                          "example": "2"
                        },
                        "links": {
                          "type": "object",
                          "properties": {
                            "activities": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/notes/2/activities"
                            },
                            "mentions": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/notes/2/mentions"
                            },
                            "notes": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/notes/2/notes"
                            },
                            "owner": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/notes/2/owner"
                            },
                            "user": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/notes/2/user"
                            }
                          }
                        },
                        "mdate": {
                          "type": "string",
                          "example": "2017-05-31T09:54:30-05:00"
                        },
                        "note": {
                          "type": "string",
                          "example": "Note for the deal"
                        },
                        "owner": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "example": "1"
                            },
                            "type": {
                              "type": "string",
                              "example": "deal"
                            }
                          }
                        },
                        "relid": {
                          "type": "string",
                          "example": "1"
                        },
                        "reltype": {
                          "type": "string",
                          "example": "Deal"
                        },
                        "user": {
                          "type": "string",
                          "example": "1"
                        },
                        "userid": {
                          "type": "string",
                          "example": "1"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```